package com.sifang.modules.smallprogram;

import org.hibernate.validator.constraints.NotBlank;

import java.util.List;

public class AddMaterialSnReq {

    @NotBlank(message = "电站id不能为空")
    private String entryId;

    @NotBlank(message = "物料表id不能为空")
    private String materialId;

    @NotBlank(message = "物料条码不能为空")
    private String barcode;

    @NotBlank(message = "通讯棒SN码不能为空")
    private String sn;

    @NotBlank(message = "逆变器SN码不能为空")
    private String nbqSn;

    //todo 验证码
    private String yzCode;


    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getNbqSn() {
        return nbqSn;
    }

    public void setNbqSn(String nbqSn) {
        this.nbqSn = nbqSn;
    }

    public String getYzCode() {
        return yzCode;
    }

    public void setYzCode(String yzCode) {
        this.yzCode = yzCode;
    }
}
